using Assets.Scripts.Constants;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Assets.Scripts.Managers
{
    public class DayNightManager
    {
        public static void SetDay()
        {
			if (GameManager.CurrentGameTime == GameTime.Day) return;

            WallsManager.SetCameraAngle(GameManager.CurrentAngle);
            GameManager.CurrentGameTime = GameTime.Day;
            LayersManager.ShowLayer(Layers.Day);
            LayersManager.HideLayer(Layers.Night);

        }

        public static void SetNight()
        {
        	if (GameManager.CurrentGameTime == GameTime.Night) return;
		
            WallsManager.HideAllWalls();
            GameManager.CurrentGameTime = GameTime.Night;
            LayersManager.ShowLayer(Layers.Night);
            LayersManager.HideLayer(Layers.Day);
        }

    }
}
